# configure environment to install controller from .deb and dev repo
class space_controller::fluentd_config
{

  include fluentd

  $controller_ip = hiera('controller_ip', '127.0.0.1')

  if $controller_ip {
    if $controller_ip == "127.0.0.1" {
      $logger=[ { 'host' => '127.0.0.1', 'port' => '24224'} ]
    } else {
      $logger=[ { 'host' => $controller_ip, 'port' => '24224'} ]
    }
  } else {
      $logger=[ { 'host' => '127.0.0.1', 'port' => '24224'} ]
  }
  fluentd::source { 'space_controller_log':
    config => {
      '@type' => 'tail',
      format => 'json',
      tag => 'local.veil.controller',
      path => '/var/log/veil/controller/controller.log',
      pos_file => '/var/log/td-agent/space_controller.log.pos',
    },
    notify => Class['fluentd::service']
  }

  fluentd::source { 'veil_django_log':
    config => {
      '@type' => 'tail',
      format => 'json',
      tag => 'local.veil.controller',
      path => '/var/log/veil/controller/django.log',
      pos_file => '/var/log/td-agent/veil_django.log.pos',
    },
    notify => Class['fluentd::service']
  }

  fluentd::source { 'veil_async_log':
    config => {
      '@type' => 'tail',
      format => 'json',
      tag => 'local.veil.controller',
      path => '/var/log/veil/controller/veil_async.log',
      pos_file => '/var/log/td-agent/veil_async.log.pos',
    },
    notify => Class['fluentd::service']
  }

  # TEST3
  file { "/var/lib/ecp-veil/tests/ctr_init_test3.sh":
    ensure  => present,
    content => template("${module_name}/ctr_init_test3.sh.erb"),
    mode => '0550',
  }

}
